(function($, BMCW) {
	"use strict";

	BMCW.augment(BMCW.BasePage, {
		/**
		 * 页面路由
		 */
		Route: {
			GetOpenCity: "/Common/GetOpenCity" //获取城市列表
		},
		/**
		 * 参数
		 */
		Param: {
			SourcePage: "", //来源页面
			CallBack: "" //回调方法
		},
		/**
		 * 初始化方法
		 * 页面参数初始化  页面方法初始化  等
		 * @param {Object} options
		 */
		init: function(options) {
			var self = this,
				wb = plus.webview.currentWebview();
			self.Param.SourcePage = wb.SourcePage;
			self.Param.CallBack = wb.CallBack;

			mui.init({
				swipeBack: true //启用右滑关闭功能
			});
		},
		/**
		 * 事件绑定
		 * @param {Object} options
		 */
		initEvent: function(options) {
			var self = this;

		},
		/**
		 * 渲染页面
		 * 通过ajax对页面加载显示
		 * @param {Object} options
		 */
		initView: function(options) {
			var self = this;
			document.getElementById("localCity").innerHTML = BMCW.getLocalStorage('LocationName');
			self.getOpenCity();
		},
		/**
		 * 获取开放城市
		 */
		getOpenCity: function() {
			var self = this;
			BMCW.Ajax.ajax({
				url: self.Route.GetOpenCity,
				showLoading: true,
				success: function(rdata) {
					var tpl = "";
					if(rdata.status == 0) {
						var data = rdata.data;
						for(var i = 0; i < data.length; i++) {
							tpl += '<li onclick="page.SelectCity(' + data[i].locationId + ',\'' + data[i].cName + '\');"><a href="#"><em></em>' + data[i].cName + '</a></li>';
						}
						document.getElementById("ulContainer").innerHTML = tpl;
					} else {
						BMCW.toast(rdata.message);
					}
				}
			});
		},
		SelectCity: function(cityId, cName) {
			BMCW.setLocalStorage("LocationID", cityId);
			BMCW.setLocalStorage("LocationName", cName);
			var wb = plus.webview.getLaunchWebview();
			wb.evalJS("page.updateLocation()");
			BMCW.closeWebview(BMCW.routeCfg.addresslist.id);
		}
	});

	//实例化类
	window.page = new BMCW.BasePage();

})(mui, BMCW);