(function($, BMCW) {
	"use strict";

	BMCW.augment(BMCW.BasePage, {
		/**
		 * 页面路由
		 */
		Route: {
			GetMessageInfo: "/Message/GetMessageInfo",
			SetMessageRead: "/Message/SetMessageRead"
		},
		/**
		 * 参数
		 */
		Param: {
			MessageID: 0 //消息ID
		},
		/**
		 * 初始化方法
		 * 页面参数初始化  页面方法初始化  等
		 * @param {Object} options
		 */
		init: function(options) {
			var self = this,
				wb = plus.webview.currentWebview();
			self.Param.MessageID = wb.MessageID || 0;
			self.setMessageRead(self.Param.MessageID);
			mui.init({
				swipeBack: true, //启用右滑关闭功能
				beforeback: function() {
					var wb = BMCW.getWebviewById(BMCW.routeCfg.messsage.id);
					if(wb) {
						wb.evalJS("page.getTotalList()");
					}
					return true;
				}
			});
		},
		/**
		 * 渲染页面
		 * 通过ajax对页面加载显示
		 * @param {Object} options
		 */
		initView: function(options) {
			var self = this;
			BMCW.Ajax.ajax({
				url: self.Route.GetMessageInfo,
				data: {
					messageID: self.Param.MessageID
				},
				success: function(rdata) {
					if(rdata.status == 0) {
						self.renderView(rdata.data);
					} else {
						BMCW.toast(rdata.message);
					}
				}
			});
		},
		/**
		 * 渲染页面
		 * @param {Object} data
		 */
		renderView: function(data) {
			var self = this;
			//document.getElementById("h_type").innerHTML = self.getTypeText(data.MessageType);
			document.getElementById("h_title").innerHTML = data.MessageTitle;
			document.getElementById("p_detail").innerHTML = data.MessageBody;
			document.getElementById("spn_date").innerHTML = BMCW.formatDate(data.SendDate, "MM-dd HH:mm");
		},
		/**
		 * 获取消息枚举
		 * @param {Object} t
		 */
		getTypeText: function(t) {
			var txt = "其他";
			if(t == 1) {
				txt = "预约消息";
			} else if(t == 2) {
				txt = "通知消息";
			}
			return txt;
		},
		/**
		 * 设置消息
		 * @param {Object} regId
		 */
		setMessageRead: function(regId) {
			var self = this;
			BMCW.Ajax.ajax({
				url: self.Route.SetMessageRead,
				showLoading: false,
				type: "GET",
				data: {
					messageID: regId
				},
				success: function(rdata) {}
			});
		}
	});

	//实例化类
	window.page = new BMCW.BasePage();

})(mui, BMCW);