(function($, BMCW) {
	"use strict";

	BMCW.augment(BMCW.BasePage, {
		/**
		 * 页面路由
		 */
		Route: {
			UpdatePassword: "/Personal/UpdatePassword" //更新用户名
		},
		/**
		 * 参数
		 */
		Param: {
		},
		/**
		 * 初始化方法
		 * 页面参数初始化  页面方法初始化  等
		 * @param {Object} options
		 */
		init: function(options) {
			var self = this,
				wb = plus.webview.currentWebview();
		},
		/**
		 * 事件绑定
		 * @param {Object} options
		 */
		initEvent: function(options) {
			var self = this;

			//确定
			document.getElementById("btn_save").addEventListener("tap", function() {
				self.updatePassword.call(self);
			}, false);

		},
		/**
		 * 用户密码
		 */
		updatePassword: function() {
			var self = this;
			var pwd = document.getElementById("ipt_password").value;
			var newpwd = document.getElementById("ipt_newpassword").value;
			var secpwd = document.getElementById("ipt_secpassword").value;
			if(BMCW.isNullOrEmpty(pwd)) {
				BMCW.toast("请输入原密码");
				return false;
			}
			if(BMCW.isNullOrEmpty(newpwd)) {
				BMCW.toast("请输入新密码");
				return false;
			}
			if(BMCW.isChinese(newpwd)) {
				BMCW.toast("新密码不能包含汉字");
				return false;
			}
			if(newpwd.length < 6 || newpwd.length > 18) {
				BMCW.toast("新密码长度必须在6-18位长度");
				return false;
			}
			if(newpwd != secpwd) {
				BMCW.toast("确认密码和新密码不同");
				return false;
			}
			BMCW.Ajax.ajax({
				url: self.Route.UpdatePassword,
				type: "POST",
				data: {
					userid: BMCW.getLocalStorage("CurrentUserID"),
					newpassord: BMCW.md5(newpwd),
					password: BMCW.md5(pwd)
				},
				success: function(rdata) {
					if(rdata.status == 0) {
						BMCW.closeWebview(BMCW.routeCfg.passwordedit.id);
					} else {
						BMCW.toast(rdata.message);
					}
				}
			});
		}
	});

	//实例化类
	window.page = new BMCW.BasePage();

})(mui, BMCW);