(function($, BMCW) {
	"use strict";

	BMCW.augment(BMCW.BasePage, {
		/**
		 * 页面路由
		 */
		Route: {
			GetUserInfor: "/Personal/GetUserInfor", //获取用户信息
			GetRegisterTotalStatus: "/Register/GetRegisterTotalStatus",
			GetUserAuth: "/Personal/GetUserAuth",
			GetUserAgentInfo: "/UserAgent/GetUserAgentInfoByUserId" //获取申请人信息
		},
		/**
		 * 参数
		 */
		Param: {
			Data: {}, //用户信息
			GetUserIng: false, //防止初始化和show方法重复获取数据
		},
		/**
		 * 初始化方法
		 * 页面参数初始化  页面方法初始化  等
		 * @param {Object} options
		 */
		init: function(options) {
			var self = this,
				wb = plus.webview.currentWebview();
			mui.init({
				keyEventBind: {
					backbutton: false //关闭back按键监听
				}
			});
			wb.addEventListener('show', function(e) {
				var hsShow = false;
				for(var k in self.Param.Data) {
					hsShow = true;
					break;
				}
				if(!hsShow) {
					if(BMCW.getCurrentUserID() > 0) {
						self.getUserInfor();
						self.getRegisterTotalStatus();
					}
				}
			}, false);

		},
		/**
		 * 事件绑定
		 * @param {Object} options
		 */
		initEvent: function(options) {
			var self = this,
				wb = plus.webview.currentWebview();

			//个人信息
			document.getElementById("li_personal").addEventListener("tap", function() {
				if(BMCW.getCurrentUserID() > 0) {
					BMCW.openWindow(BMCW.routeCfg.personaldetail, {
						extras: {
							Data: self.Param.Data,
							SourcePage: BMCW.routeCfg.personal.id,
							CallBack: "page.updateUserInfo"
						}
					});
				} else {
					BMCW.openWindow(BMCW.routeCfg.login, {
						extras: {
							SourcePage: BMCW.routeCfg.personal.id,
							CallBack: "page.initShowView"
						}
					});
				}
			}, false);

			//预约列表
			mui("#ul_register").on("tap", "li", function() {
				if(BMCW.getCurrentUserID() > 0) {
					var RegStatus = this.getAttribute("data-id");
					BMCW.openWindow(BMCW.routeCfg.registerlist, {
						extras: {
							RegStatus: RegStatus
						}
					});
				} else {
					BMCW.openWindow(BMCW.routeCfg.login, {
						extras: {
							SourcePage: BMCW.routeCfg.personal.id,
							CallBack: "page.initShowView"
						}
					});
				}
			});

//			//过户票订单列表
//			document.getElementById("a_tranfserlist").addEventListener("tap", function() {
//				if(BMCW.getCurrentUserID() > 0) {
//					BMCW.openWindow(BMCW.routeCfg.transferlist);
//				} else {
//					BMCW.openWindow(BMCW.routeCfg.login, {
//						extras: {
//							SourcePage: BMCW.routeCfg.personal.id,
//							CallBack: "page.initShowView"
//						}
//					});
//				}
//			}, false);

			//车主列表
			document.getElementById("a_contact").addEventListener("tap", function() {
				if(BMCW.getCurrentUserID() > 0) {
					BMCW.openWindow(BMCW.routeCfg.contactlist);
				} else {
					BMCW.openWindow(BMCW.routeCfg.login, {
						extras: {
							SourcePage: BMCW.routeCfg.personal.id,
							CallBack: "page.initShowView"
						}
					});
				}
			}, false);

			//代理人列表
			document.getElementById("a_entrustlist").addEventListener("tap", function() {
				if(BMCW.getCurrentUserID() > 0) {
					BMCW.openWindow(BMCW.routeCfg.entrustlist);
				} else {
					BMCW.openWindow(BMCW.routeCfg.login, {
						extras: {
							SourcePage: BMCW.routeCfg.personal.id,
							CallBack: "page.initShowView"
						}
					});
				}
			}, false);

			//委托列表
			document.getElementById("a_entrustmentlist").addEventListener("tap", function() {
				if(BMCW.getCurrentUserID() > 0) {
					var usertype = BMCW.getLocalStorage("CurrentUserType");
					if(usertype == 2) { //用户类型为代办
						BMCW.openWindow(BMCW.routeCfg.etmentrustmentlist);
					} else {
						BMCW.openWindow(BMCW.routeCfg.pnlentrustmentlist);
					}

				} else {
					BMCW.openWindow(BMCW.routeCfg.login, {
						extras: {
							SourcePage: BMCW.routeCfg.personal.id,
							CallBack: "page.initShowView"
						}
					});
				}
			}, false);

			//用户认证
			document.getElementById("li_userauth").addEventListener("tap", function() {
				if(BMCW.getCurrentUserID() > 0) {
					var userID = BMCW.getCurrentUserID() || 0;
					BMCW.Ajax.ajax({
						url: self.Route.GetUserAuth,
						showLoading: false,
						data: {
							UserID: userID
						},
						success: function(rdata) {
							if(rdata.status == 0) {
								if(rdata.data.UserAuthID == 0) {
									BMCW.openWindow(BMCW.routeCfg.userauthfirststep);
								} else {
									BMCW.openWindow(BMCW.routeCfg.userauthresult, {
										extras: {
											AuthStatus: rdata.data.AuthStatus,
											RejectReason: rdata.data.RejectReason
										}
									});
								}
							} else {
								BMCW.toast(rdata.message);
							}
						}
					});

				} else {
					BMCW.openWindow(BMCW.routeCfg.login, {
						extras: {
							SourcePage: BMCW.routeCfg.personal.id,
							CallBack: "page.initShowView"
						}
					});
				}
			}, false);

			//关于我们
			document.getElementById("a_about").addEventListener("tap", function() {
				BMCW.openWindow(BMCW.routeCfg.aboutus);
			}, false);

			//账户余额（我的账户）
			document.getElementById("a_myAccount").addEventListener("tap", function() {
				if(BMCW.getCurrentUserID() > 0) {
					BMCW.openWindow(BMCW.routeCfg.myAccount);
				} else {
					BMCW.openWindow(BMCW.routeCfg.login, {
						extras: {
							SourcePage: BMCW.routeCfg.personal.id,
							CallBack: "page.initView"
						}
					});
				}
			}, false);
			//检查更新
			//			document.getElementById("a_update").addEventListener("tap", function() {
			//				bmcwUpdate.CheckUpdate(true);
			//			}, false);
		},
		/**
		 * 渲染页面
		 * 通过ajax对页面加载显示
		 * @param {Object} options
		 */
		initView: function(options) {
			var self = this;

			self.initShowView();
		},
		/**
		 * 渲染页面
		 * 通过ajax对页面加载显示
		 * @param {Object} options
		 */
		initShowView: function(options) {
			var self = this;

			//document.getElementById("spn_ver").innerHTML = "V" + BMCW.getLocalStorage("CurrentAppVersion");

			if(BMCW.getCurrentUserID() > 0) {
				self.getUserInfor();
				self.getRegisterTotalStatus();
			} else {
				self.showPersonal();
				self.updateUserInfo({});
			}
		},
		/**
		 * 获取用户信息
		 */
		getUserInfor: function() {
			var self = this;
			if(self.Param.GetUserIng) {
				self.Param.GetUserIng = false;
				return
			}
			self.Param.GetUserIng = true;
			BMCW.Ajax.ajax({
				url: self.Route.GetUserInfor,
				showLoading: false,
				data: {
					userID: BMCW.getCurrentUserID()
				},
				success: function(rdata) {
					self.Param.GetUserIng = false;
					if(rdata.status == 0) {
						self.Param.Data = rdata.data;

						//用户类型及是否任何验证
						BMCW.setLocalStorage("CurrentUserType", rdata.data.UserType);
						BMCW.setLocalStorage("UserLevel", rdata.data.UserLevel);
						BMCW.setLocalStorage("BMCWUserID", rdata.data.BMCWUserID);
						BMCW.setLocalStorage("CurrentUserMobile", rdata.data.Mobile);

						self.renderUserInfo(rdata.data);
					} else {
						BMCW.toast(rdata.message);
					}
				},
				error: function() {
					self.Param.GetUserIng = false;
				}
			});
		},
		/**
		 * 渲染用户信息
		 * @param {Object} data
		 */
		renderUserInfo: function(data) {
			var self = this;

			//如果是代办
			if(data.UserType == 2) {
				self.showUserAgent();
				var userID = BMCW.getCurrentUserID() || 0;
				self.getUserAgentInfo(userID);
			} else {
				self.showPersonal();
			}

			if(BMCW.checkUserPay()) {
				document.getElementById("spn_renzheng").style.display = "";
			} else {
				document.getElementById("spn_renzheng").style.display = "none";
			}

			self.updateUserInfo(data);
		},
		/**
		 * 更新头像  头像编辑之后自动更新
		 * @param {Object} src
		 */
		updateUserInfo: function(data) {
			var self = this;
			if(!BMCW.isNullOrEmpty(data.UserHead)) {
//				document.getElementById("img_userhead").src = data.UserHead;
				document.getElementById("img_userhead").style.background='url('+data.UserHead+') center center no-repeat';
				document.getElementById("img_userhead").style.backgroundSize='cover';
			} else {
				document.getElementById("img_userhead").style.background="url('../../../images/bjcg-touxiang-no-login.png') center center no-repeat";
				document.getElementById("img_userhead").style.backgroundSize='cover';
//				document.getElementById("img_userhead").src = '../../../images/bjcg-touxiang-no-login.png';
			}
			if(!BMCW.isNullOrEmpty(data.UserName)) {
				document.getElementById("spn_username").innerHTML = data.UserName;
			} else {
				document.getElementById("spn_username").innerHTML = "";
			}
			if(BMCW.isNullOrEmpty(data.Mobile)) {
				document.getElementById("spn_usermobile").innerHTML = '注册/登陆';
			} else {
				document.getElementById("spn_usermobile").innerHTML = BMCW.formatTel(data.Mobile);
			}
			self.Param.Data = data;
		},
		/**
		 * 获取预约未读消息
		 */
		getRegisterTotalStatus: function() {
			var self = this;
			BMCW.Ajax.ajax({
				url: self.Route.GetRegisterTotalStatus,
				showLoading: false,
				data: {
					userID: BMCW.getCurrentUserID()
				},
				success: function(rdata) {
					if(rdata.status == 0) {
						self.renderRegister(rdata.data);
					} else {
						BMCW.toast(rdata.message);
					}
				}
			});
		},
		/**
		 * 渲染
		 * @param {Object} data
		 */
		renderRegister: function(data) {
			var total = 0;
			document.getElementById("i_badge1").innerHTML = "";
			document.getElementById("i_badge2").innerHTML = "";
			document.getElementById("i_badge3").innerHTML = "";
			document.getElementById("i_badge4").innerHTML = "";
			document.getElementById("i_badge0").innerHTML = "";
			for(var i = 0; i < data.length; i++) {
				document.getElementById("i_badge" + data[i].RegStatus).innerHTML = '<span class="mui-badge bjcg-badge">' + data[i].CT + '</span>';
				total = total + data[i].CT;
			}
			if(total > 0) {
				document.getElementById("i_badge0").innerHTML = '<span class="mui-badge bjcg-badge">' + total + '</span>';
			}
		},
		/**
		 * 获取用户信息
		 */
		getUserAgentInfo: function(userId) {
			var self = this;
			BMCW.Ajax.ajax({
				url: self.Route.GetUserAgentInfo,
				data: {
					userId: userId
				},
				success: function(rdata) {
					if(rdata.status == 0) {
						var item = rdata.data;
						document.getElementById("spn_evalate").innerHTML = item.EvaluationLevel;
						document.getElementById("spn_ordernum").innerHTML = item.OrderNumer;
					} else {
						BMCW.toast(rdata.message);
					}
				}
			});
		},
		/**
		 * 退出
		 */
		exit: function() {
			var self = this;
			document.getElementById("i_badge1").innerHTML = "";
			document.getElementById("i_badge2").innerHTML = "";
			document.getElementById("i_badge3").innerHTML = "";
			document.getElementById("i_badge4").innerHTML = "";
			document.getElementById("i_badge0").innerHTML = "";

			self.showPersonal();
			self.Param.Data = {};
			self.updateUserInfo({});
		},
		/**
		 * 显示个人
		 */
		showPersonal: function() {
			document.getElementById("li_userauth").style.display = "none";
			document.getElementById("li_myaccount").style.display = "none";
			document.getElementById("spn_useragent").style.display = "none";
			document.getElementById("li_userangent").style.display = "none";
			document.getElementById("spn_renzheng").style.display = "none";
			document.getElementById("spn_usermobile").style.display = "";
		},
		/**
		 * 显示代办
		 */
		showUserAgent: function() {
			document.getElementById("li_userauth").style.display = "";
			document.getElementById("li_myaccount").style.display = "";
			document.getElementById("spn_useragent").style.display = "";
			document.getElementById("li_userangent").style.display = "";
			document.getElementById("spn_usermobile").style.display = "none";
			document.getElementById("spn_renzheng").style.display = "none";
		}
	});

	//实例化类
	window.page = new BMCW.BasePage();

})(mui, BMCW);