(function($, BMCW) {
	"use strict";

	BMCW.augment(BMCW.BasePage, {
		/**
		 * 页面路由
		 */
		Route: {
			GetUserAuth: "/Personal/GetUserAuth"
		},
		/**
		 * 参数
		 */
		Param: {
			AuthStatus: 0,
			RejectReason: '', //驳回原因
			SourcePage: "", //来源页面
			CallBack: "" //回调方法
		},
		/**
		 * 初始化方法
		 * 页面参数初始化  页面方法初始化  等
		 * @param {Object} options
		 */
		init: function(options) {
			var self = this,
				wb = plus.webview.currentWebview();
			self.Param.AuthStatus = wb.AuthStatus;
			self.Param.SourcePage = wb.SourcePage;
			self.Param.CallBack = wb.CallBack;
			self.Param.RejectReason = wb.RejectReason;

			BMCW.closeWebview(BMCW.routeCfg.userauth.id, "none");
			BMCW.closeWebview(BMCW.routeCfg.userauthfirststep.id, "none");
		},
		/**
		 * 事件绑定
		 * @param {Object} options
		 */
		initEvent: function(options) {
			var self = this;

			//返回
			document.getElementById("btnBack1").addEventListener("tap", function() {
				BMCW.closeWebview(BMCW.routeCfg.userauthresult.id);
			}, false);
			document.getElementById("btnBack2").addEventListener("tap", function() {
				BMCW.closeWebview(BMCW.routeCfg.userauthresult.id);
			}, false);
			document.getElementById("btnBack3").addEventListener("tap", function() {
				BMCW.closeWebview(BMCW.routeCfg.userauthresult.id);
			}, false);

			//充值
			document.getElementById("btnPayPrice").addEventListener('click', function() {
				document.getElementById("divPayPrice").style.display = "none";
				BMCW.openWindow(BMCW.routeCfg.cashDepositServer);
			}, false);
			document.getElementById("imgPayPrice").addEventListener('click', function() {
				document.getElementById("divPayPrice").style.display = "none";
			}, false);

			//重新认证
			document.getElementById("btnReAuth2").addEventListener("tap", function() {
				BMCW.openWindow(BMCW.routeCfg.userauthfirststep, {
					extras: {
						SourcePage: self.Param.SourcePage,
						CallBack: self.Param.CallBack
					}
				});
			}, false);
			document.getElementById("btnReAuth3").addEventListener("tap", function() {
				BMCW.openWindow(BMCW.routeCfg.userauthfirststep, {
					extras: {
						SourcePage: self.Param.SourcePage,
						CallBack: self.Param.CallBack
					}
				});
			}, false);
		},
		/**
		 * 渲染页面
		 * 通过ajax对页面加载显示
		 * @param {Object} options
		 */
		initView: function(options) {
			var self = this;
			var ischeck = self.Param.AuthStatus;
			console.log(ischeck)
			//0：待审核, 1：审核中  2：审核通过  3：驳回
			if(ischeck == 1) {
				document.getElementById("div_new").style.display = "";
			} else if(ischeck == 2) {
				document.getElementById("div_success").style.display = "";
			} else if(ischeck == 3) {
				document.getElementById("div_reject").style.display = "";
				document.getElementById("spn_reason").innerHTML = self.Param.RejectReason;
			}

			//首次提交审核 AND 没有交押金，提示保证金充值
			var usrLevel = BMCW.getLocalStorage("UserLevel");
			if(self.Param.SourcePage == BMCW.routeCfg.userauth.id && usrLevel < 2) {
				document.getElementById("divPayPrice").style.display = '';
				self.addActionLog();
			}
		},
		addActionLog: function() {
			var apperrorUrl = "/Common/AddActLog";
			var options = {
				url: apperrorUrl,
				data: {
					tk: "pay",
					msg: "userauthresult"
				},
				type: "POST",
				showLoading: false,
				success: function(result) {},
				error: function(date) {}
			};
			BMCW.Ajax.ajax(options);
		}
	});

	//实例化类
	window.page = new BMCW.BasePage();

})(mui, BMCW);