(function($, BMCW) {
	"use strict";

	BMCW.augment(BMCW.BasePage, {
		/**
		 * 页面路由
		 */
		Route: {
			UpdateUserName: "/Personal/UpdateUserName" //更新用户名
		},
		/**
		 * 参数
		 */
		Param: {
			SourcePage: "", //来源页面
			CallBack: "", //回调方法
			UserID: 0, //用户ID
			UserName: "" //用户信息
		},
		/**
		 * 初始化方法
		 * 页面参数初始化  页面方法初始化  等
		 * @param {Object} options
		 */
		init: function(options) {
			var self = this,
				wb = plus.webview.currentWebview();
			self.Param.UserName = wb.UserName;
			self.Param.SourcePage = wb.SourcePage;
			self.Param.CallBack = wb.CallBack;
		},
		/**
		 * 事件绑定
		 * @param {Object} options
		 */
		initEvent: function(options) {
			var self = this;

			//确定
			document.getElementById("btn_save").addEventListener("tap", function() {
				self.updateUserName.call(self);
			}, false);

		},
		/**
		 * 渲染页面
		 * 通过ajax对页面加载显示
		 * @param {Object} options
		 */
		initView: function(options) {
			var self = this;
			document.getElementById("ipt_username").value = self.Param.UserName || "";
		},
		/**
		 * 用户名
		 * @param {Object} src
		 */
		updateUserName: function(data) {
			var self = this;
			var username = document.getElementById("ipt_username").value;
			if(BMCW.isNullOrEmpty(username)) {
				BMCW.toast("请输入名称");
				return false;
			}
			BMCW.Ajax.ajax({
				url: self.Route.UpdateUserName,
				type: "POST",
				data: {
					UserID: BMCW.getLocalStorage("CurrentUserID"),
					UserName: username
				},
				success: function(rdata) {
					if(rdata.status == 0) {

						if(self.Param.SourcePage) {
							//调用回到函数,并关闭当前页
							var callMethod = BMCW.format("{0}('{1}')", self.Param.CallBack, username);
							var wb = BMCW.getWebviewById(self.Param.SourcePage);
							wb.evalJS(callMethod);

							BMCW.closeWebview(BMCW.routeCfg.usernameedit.id);
						}
					} else {
						BMCW.toast(rdata.message);
					}
				}
			});
		}
	});

	//实例化类
	window.page = new BMCW.BasePage();

})(mui, BMCW);