(function($, BMCW) {
	"use strict";

	BMCW.augment(BMCW.BasePage, {
		/**
		 * 页面路由
		 */
		Route: {
			GetBizTypeList: "/Common/GetBizTypeList" //根据一级业务查询二级业务
		},
		/**
		 * 参数
		 */
		Param: {
			MasterID: 0, //一级业务ID
			BizTypeID: 0, //二级业务ID
			SourcePage: "", //来源页面
			CallBack: "" //回调方法
		},
		/**
		 * 初始化方法
		 * 页面参数初始化  页面方法初始化  等
		 * @param {Object} options
		 */
		init: function(options) {
			var self = this,
				wb = plus.webview.currentWebview();
			self.Param.MasterID = wb.MasterID || 0;
			self.Param.BizTypeID = wb.BizTypeID || 0;
			self.Param.SourcePage = wb.SourcePage;
			self.Param.CallBack = wb.CallBack;

			mui.init({
				swipeBack: true //启用右滑关闭功能
			});
		},
		/**
		 * 事件绑定
		 * @param {Object} options
		 */
		initEvent: function(options) {
			var self = this;
			mui("#muiContent").on("tap", "li", function() {
				var jsonData = {};
				jsonData.BizTypeID = this.getAttribute("data-id");
				jsonData.BizTypeName = this.getElementsByTagName('span')[0].innerHTML;

				//调用回调函数,关闭当前页
				if(self.Param.SourcePage) {
					var callMethod = BMCW.format("{0}({1})", self.Param.CallBack, JSON.stringify(jsonData));
					var wb = BMCW.getWebviewById(self.Param.SourcePage);
					wb.evalJS(callMethod);
				}

				BMCW.closeWebview(BMCW.routeCfg.biztypesearch.id);
			});
		},
		/**
		 * 渲染页面
		 * 通过ajax对页面加载显示
		 * @param {Object} options
		 */
		initView: function(options) {
			var self = this;
			BMCW.Ajax.ajax({
				url: self.Route.GetBizTypeList,
				data: {
					masterID: self.Param.MasterID
				},
				success: function(rdata) {
					if(rdata.status == 0) {
						self.renderView(rdata.data);
					} else {
						BMCW.toast(rdata.message);
					}
				}
			});

		},
		/**
		 * 渲染页面
		 * @param {Object} data
		 */
		renderView: function(data) {
			var self = this,
				content = document.getElementById("muiContent");
			for(var i = 0; i < data.length; i++) {
				content.innerHTML += self.getTpl(data[i]);
			}
		},
		/**
		 * 获取模版
		 */
		getTpl: function(item) {
			var self = this,
				seld = '';
			if(item.BizTypeID == self.Param.BizTypeID) {
				seld = 'active';
			}
			var tpl = '<li data-id="{BizTypeID}" class="bjcg-list-li ' + seld + '"><i class="icon iconfont icon-bjcg-yes bjcg-list-li-i"></i><span class="bjcg-list-li-span">{BizTypeName}</span></li>'
			return BMCW.substitute(tpl, item);
		}
	});

	//实例化类
	window.page = new BMCW.BasePage();

})(mui, BMCW);