(function($, BMCW) {
	"use strict";

	BMCW.augment(BMCW.BasePage, {
		/**
		 * 页面路由
		 */
		Route: {
			GetUserAgentInfoByUserId: "/UserAgent/GetUserAgentInfoByUserId" //添加专业委托人
		},
		/**
		 * 参数
		 */
		Param: {
			UserId: 0, //已选中的代理人
			progressbarDesc: ['信任值极低', '信任值较低', '信任值待提高', '信任值中等', '信任值较高', '信任值极高']
		},
		/**
		 * 初始化方法
		 * 页面参数初始化  页面方法初始化  等
		 * @param {Object} options
		 */
		init: function(options) {
			var self = this,
				wb = plus.webview.currentWebview();
			self.Param.UserId = wb.UserId || 0;

			mui.init({
				swipeBack: true //启用右滑关闭功能
			});
		},
		/**
		 * 渲染页面
		 * 通过ajax对页面加载显示
		 * @param {Object} options
		 */
		initView: function(options) {
			var self = this;
			self.getDetail();
		},
		/**
		 * 分页查询
		 */
		getDetail: function() {
			var self = this;
			BMCW.Ajax.ajax({
				url: self.Route.GetUserAgentInfoByUserId,
				data: {
					userId: self.Param.UserId
				},
				success: function(rdata) {
					if(rdata.status == 0) {
						//如果返回成功,Message赋值总记录数	
						self.renderView(rdata.data);
					} else {
						BMCW.toast(rdata.message);
					}
				}
			});
		},
		/**
		 * 渲染页面
		 * @param {Object} item
		 */
		renderView: function(item) {
			var self = this;
			var userFaith = item.EvaluationLevel * 20;
			if(!BMCW.isNullOrEmpty(item.UserHead)) {
				document.getElementById("imgUserHead").src = item.UserHead;
			}
			var usrName = '';
			if(!BMCW.isNullOrEmpty(item.UserTrueName)) {
				usrName = item.UserTrueName.substring(0, 1);
			}
			if(item.UserGender == 2) {
				usrName += '女士';
			} else {
				usrName += '先生';
			}
			document.getElementById("spnUserName").innerHTML = usrName;
			document.getElementById("spnEvaltaion").innerHTML = item.EvaluationLevel;
			document.getElementById("bBserFaith").innerHTML = userFaith;
			document.getElementById("spnBserFaith").innerHTML = userFaith;
			document.getElementById("spnOrderNum").innerHTML = item.OrderNumer;
			
			self.progressbarShow(userFaith);
			self.renderTags(item.Tags);
		},
		/* 
		 * score类型为number  score范围为0~100
		 * */
		progressbarShow: function(score) {
			var self = this;
			var progressbarInfo = document.getElementById('progressbarInfo');

			if(score >= 0 && score <= 39) {
				progressbarInfo.innerHTML = self.Param.progressbarDesc[0];
			} else if(score >= 40 && score <= 59) {
				progressbarInfo.innerHTML = self.Param.progressbarDesc[1];
			} else if(score >= 60 && score <= 69) {
				progressbarInfo.innerHTML = self.Param.progressbarDesc[2];
			} else if(score >= 70 && score <= 79) {
				progressbarInfo.innerHTML = self.Param.progressbarDesc[3];
			} else if(score >= 80 && score <= 89) {
				progressbarInfo.innerHTML = self.Param.progressbarDesc[4];
			} else {
				progressbarInfo.innerHTML = self.Param.progressbarDesc[5];
			}
			mui('#progressbarBox').progressbar().setProgress(score);
		},
		/**
		 * 渲染标签
		 * @param {Object} tags
		 */
		renderTags:function(tags){
			if(tags.length>0){
				document.getElementById("divStarTag").style.display="block";
				var tpl='';
				for(var i=0;i<tags.length;i++){
					tpl+='<li class="star-tag-list-box-text">'+tags[i]+'</li>';
				}
				document.getElementById("ulTagContainer").innerHTML=tpl;
			}
		}

	});

	//实例化类
	window.page = new BMCW.BasePage();

})(mui, BMCW);