(function($, BMCW) {
	"use strict";

	BMCW.augment(BMCW.BasePage, {
		/**
		 * 页面路由
		 */
		Route: {
			GetArticleInfo: "/Article/GetCarBizArticleDetialById" //根据一级业务查询二级业务
		},
		/**
		 * 参数
		 */
		Param: {
			articleid: 0,
			SourcePage: "", //来源页面
			CallBack: "" //回调方法
		},
		/**   
		 * 初始化方法
		 * 页面参数初始化  页面方法初始化  等
		 * @param {Object} options
		 */
		init: function(options) {
			var self = this,
				wb = plus.webview.currentWebview();
			self.Param.articleid = wb.articleid || 0;
			self.Param.SourcePage = wb.SourcePage;
			self.Param.CallBack = wb.CallBack;

			mui.init({
				swipeBack: true //启用右滑关闭功能
			});
		},
		/**
		 * 事件绑定
		 * @param {Object} options
		 */
		initEvent: function(options) {
			var self = this;

		},
		/**
		 * 渲染页面
		 * 通过ajax对页面加载显示
		 * @param {Object} options
		 */
		initView: function(options) {
			var self = this;
			BMCW.Ajax.ajax({
				url: self.Route.GetArticleInfo,
				data: {
					articleid: self.Param.articleid
				},
				success: function(rdata) {
					if(rdata.status == 0) {
						self.renderView(rdata.data);
					} else {
						BMCW.toast(rdata.message);
					}
				}
			});

		},
		/**
		 * 渲染页面
		 * @param {Object} data
		 */
		renderView: function(data) {
			var dt = BMCW.formatDate(data.CreatedDate, "yyyy-MM-dd");
			document.getElementById("articleContent").innerHTML = data.ArticleContent;
			document.getElementById("articleTitle").innerHTML = data.SubTitle;
			document.getElementById("articleAuthor").innerHTML = data.Author;
			document.getElementById("articleDate").innerHTML = dt;
			document.getElementById("articleImg").src = data.TitleImg;
		},

	});

	//实例化类
	window.page = new BMCW.BasePage();

})(mui, BMCW);