(function($, BMCW) {
	"use strict";

	BMCW.augment(BMCW.BasePage, {
		/**
		 * 页面路由
		 */
		Route: {
			GetArticleList: "/Article/GetCarBizArticleByCity"
		},
		/**
		 * 参数
		 */
		Param: {
			PageIndex: 1, //页码  
			PageSize: 6, //页大小
			PageCount: 0, //总数量
			SourcePage: "", //来源页面
			FirstShow: true,
			CallBack: "" //回调方法
		},
		/** 
		 * 初始化方法
		 * 页面参数初始化  页面方法初始化  等
		 * @param {Object} options
		 */
		init: function(options) {
			var self = this,
				wb = plus.webview.currentWebview();
			self.Param.SourcePage = wb.SourcePage;
			self.Param.CallBack = wb.CallBack;

			//设置滚动条隐藏 不可缩放
			plus.webview.currentWebview().setStyle({
				scrollIndicator: "none",
				scalable: false
			});

			mui.init({
				keyEventBind: {
					backbutton: false //关闭back按键监听
				}
			});

		},
		/**
		 * 事件绑定
		 * @param {Object} options
		 */
		initEvent: function(options) {
			var self = this;
			document.getElementById("Office").addEventListener('tap', function() {
				BMCW.openWindow(BMCW.routeCfg.officeSearch);
			}, false);
			document.getElementById("cheguanzhanchaxun").addEventListener('tap', function() {
				BMCW.openWindow(BMCW.routeCfg.cheguanzhan);
			}, false);
			document.getElementById("jietichangchaxun").addEventListener('tap', function() {
				BMCW.openWindow(BMCW.routeCfg.jietichang);
			}, false);
			document.getElementById("jiancechangchaxun").addEventListener('tap', function() {
				BMCW.openWindow(BMCW.routeCfg.jiancechang);
			}, false);
			document.getElementById("xianqianchaxun").addEventListener('tap', function() {
				BMCW.openWindow(BMCW.routeCfg.xianqianchaxun);
			}, false);
			document.getElementById("articlelist").addEventListener('tap', function() {
				BMCW.openWindow(BMCW.routeCfg.articlemore);
			}, false);

			document.getElementById("Environmental").addEventListener('tap', function() {
				if(BMCW.getLocalStorage("CurrentUserID") > 0) {
					var mobile = BMCW.getLocalStorage("CurrentUserMobile");
					var url = BMCW.routeCfg.environmental.url + "?mobile=" + mobile;

					BMCW.openWindow({
						id: BMCW.routeCfg.environmental.id,
						url: url
					}); //排放标准
				} else {
					BMCW.openWindow(BMCW.routeCfg.login);
				}
			}, false);
			document.getElementById("Violation").addEventListener('tap', function() {
				if(BMCW.getLocalStorage("CurrentUserID") > 0) {
					var mobile = BMCW.getLocalStorage("CurrentUserMobile");
					var url = BMCW.routeCfg.violation.url + "?mobile=" + mobile;
					BMCW.openWindow({
						id: BMCW.routeCfg.violation.id,
						url: url
					});

				} else {
					BMCW.openWindow(BMCW.routeCfg.login);
				}
			}, false);

			var wb = plus.webview.currentWebview();

			wb.addEventListener('show', function(e) {
				//延迟加载数据
				if(self.Param.FirstShow) {
					self.initShowView();
					self.Param.FirstShow = false;
				}
			}, false);

		},
		/**
		 * 渲染页面
		 * 通过ajax对页面加载显示
		 * @param {Object} options
		 */
		initShowView: function(options) {
			var self = this;
			BMCW.Ajax.ajax({
				url: self.Route.GetArticleList,
				showLoading: false,
				data: {
					pageIndex: self.Param.PageIndex,
					pageSize: self.Param.PageSize,
					CityId: BMCW.getLocalStorage("LocationID")
				},
				success: function(rdata) {
					if(rdata.status == 0) {
						self.renderView(rdata.data, rdata.message);
						if(rdata.data.length == 0) {
							document.getElementById('div_nodata').style.display = 'block'; //暂无数据
						} else {
							document.getElementById('div_nodata').style.display = 'none';
						}
					} else {
						document.getElementById('div_nodata').style.display = 'block'; //暂无数据
						BMCW.toast(rdata.message);
					}
				}
			});
		},
		/**
		 * 渲染页面
		 * @param {Object} data
		 */
		renderView: function(data) {
			var self = this,
				content = document.getElementById("articleContent");

			for(var i = 0; i < data.length; i++) {
				content.innerHTML += self.getTpl(data[i]);
			}
		},
		/**
		 * 获取模版
		 */
		getTpl: function(item) {
			var self = this;
			var dt = BMCW.formatDate(item.CreatedDate, "MM-dd");
			var tpl = '<li class="bjcg-dongtai-li">' +
				'<a onclick="page.articleDetial(' + item.ArticleId + ');">' +
				'<span class="mui-ellipsis bjcg-dongtai-li-span">{Title}</span>' +
				'<span class="news-date">' + dt + '</span></a></li>'
			return BMCW.substitute(tpl, item);
		},
		/**
		 * 
		 * @param {Object} ArticleId
		 */
		articleDetial: function(ArticleId) {
			var self = this;
			BMCW.openWindow(BMCW.routeCfg.articledetial, {
				extras: {
					articleid: ArticleId,
				}
			});
		},
	});

	//实例化类
	window.page = new BMCW.BasePage();

})(mui, BMCW);