(function($, BMCW) {
	"use strict";

	BMCW.augment(BMCW.BasePage, {
		/**
		 * 页面路由
		 */
		Route: {
			AddViolation: "/Violation/AddCXYViolation" //添加排放标准
		},
		/**
		 * 参数
		 */
		Param: {
			CarType: "1" //车辆类型2大车1小车
		},
		/**
		 * 初始化方法
		 * 页面参数初始化  页面方法初始化  等
		 * @param {Object} options
		 */
		init: function(options) {
			var self = this,
				wb = plus.webview.currentWebview();

			mui.init({
				swipeBack: true //启用右滑关闭功能
			});

			var usrId = BMCW.getLocalStorage("CurrentUserID") || 0;
			if(usrId < 1) {
				BMCW.openWindow(BMCW.routeCfg.login);
			}
		},
		/**
		 * 事件绑定
		 * @param {Object} options
		 */
		initEvent: function(options) {
			var self = this;

			//选择办理业务
			document.getElementById("btn_sure").addEventListener("tap", function() {
				self.addViolation.call(self);
			}, false);

			//帮助中心
			document.getElementById("a_vin").addEventListener("tap", function() {
				BMCW.openWindow(BMCW.routeCfg.helpcenter);
			}, false);

			//排放标准 tab页
			document.getElementById("p_small").addEventListener("tap", function() {
				var cls = this.classList;
				if(cls.contains("active")) {
					return false;
				}
				this.classList.add("active");
				self.Param.CarType = "1";
				document.getElementById("p_big").classList.remove("active");
			}, false);

			//查询记录tab页
			document.getElementById("p_big").addEventListener("tap", function() {
				var cls = this.classList;
				if(cls.contains("active")) {
					return false;
				}
				this.classList.add("active");
				self.Param.CarType = "2";
				document.getElementById("p_small").classList.remove("active");
			}, false);

			document.getElementById("ipt_VIN").addEventListener("blur", function() {
				if(!BMCW.isNullOrEmpty(this.value)) {
					this.value = this.value.toUpperCase();
				}
			}, false);
			document.getElementById("ipt_PlateNo").addEventListener("blur", function() {
				if(!BMCW.isNullOrEmpty(this.value)) {
					this.value = this.value.toUpperCase();
				}
			}, false);
		},
		addViolation: function() {
			var self = this;
			var pltReg = /^[京津沪渝冀豫云辽黑湘皖鲁新苏浙赣鄂桂甘晋蒙陕吉闽贵粤青藏川宁琼使领A-Z]{1}[A-Z]{1}[A-Z0-9]{5,6}$/;
			var plateNo = document.getElementById("ipt_PlateNo").value;
			if(BMCW.isNullOrEmpty(plateNo)) {
				BMCW.toast("请填写车牌号码");
				return false;
			}
			if(!pltReg.test(plateNo)) {
				BMCW.toast("请填写正确的车牌号码");
				return false;
			}

			var engNumber = document.getElementById("ipt_EngNumber").value;
			if(BMCW.isNullOrEmpty(engNumber)) {
				BMCW.toast("请填写发动机号码");
				return false;
			}

			var vinReg = /^[0-9A-Za-z]{17}$/;
			var vin = document.getElementById("ipt_VIN").value;
			if(BMCW.isNullOrEmpty(vin)) {
				BMCW.toast("请填写VIN码");
				return false;
			}
			if(!vinReg.test(vin)) {
				BMCW.toast("请填写正确的VIN码");
				return false;
			}

			BMCW.Ajax.ajax({
				url: self.Route.AddViolation,
				type: "POST",
				data: {
					PlateNumber: plateNo,
					VIN: vin,
					Platform: 1, //车管app
					EngineNo: engNumber,
					CarType: self.Param.CarType,
					CreatedUserID: BMCW.getLocalStorage("CurrentUserID")
				},
				success: function(rdata) {
					if(rdata.status == 0) {
						console.log(JSON.stringify(rdata))
						BMCW.openWindow(BMCW.routeCfg.violationlist, {
							extras: {
								ViolationID: rdata.data,
								PlateNumber: plateNo,
								VIN: vin,
								EngineNo: engNumber,
								CarType: self.Param.CarType
							}
						});
					} else {
						BMCW.toast(rdata.message);
					}
				}
			});
		},
		/**
		 * 显示示例
		 * @param {Object} imgId
		 */
		showImage: function(imgId) {
			var self = this;
			document.getElementById(imgId).style.display = "block";
		},
		/**
		 * 关闭示例
		 * @param {Object} imgId
		 */
		slClose: function(imgId) {
			document.getElementById(imgId).style.display = "none";
		}
	});

	//实例化类
	window.page = new BMCW.BasePage();

})(mui, BMCW);