(function($, BMCW) {
	"use strict";

	BMCW.augment(BMCW.BasePage, {
		/**
		 * 页面路由
		 */
		Route: {
			AddErrLog: "/Common/AddErrLog"
		},
		/**
		 * 参数
		 */
		Param: {
			code: 1,
			message: "",
			RegTransferID: 0
		},
		/**
		 * 初始化方法
		 * 页面参数初始化  页面方法初始化  等
		 * @param {Object} options
		 */
		init: function(options) {
			var self = this,
				wb = plus.webview.currentWebview();

			self.Param.code = wb.code;
			self.Param.message = wb.message || "";
			self.Param.RegTransferID = wb.RegTransferID;

			mui.init({
				swipeBack: true //启用右滑关闭功能				
			});

			//发送错误日志
			BMCW.Ajax.ajax({
				url: self.Route.AddErrLog,
				type: "POST",
				showLoading: false,
				data: {
					token: self.Param.RegTransferID + '',
					message: self.Param.code + ':' + self.Param.message
				},
				success: function(rdata) {

				}
			});
		},
		/**
		 * 事件绑定
		 * @param {Object} options
		 */
		initEvent: function(options) {
			var self = this;
			document.getElementById("btn_sure").addEventListener("tap", function() {
				BMCW.closeWebview(BMCW.routeCfg.payerror.id);
			}, false);

		},
		/**
		 * 渲染页面
		 * 通过ajax对页面加载显示
		 * @param {Object} options
		 */
		initView: function(options) {
			var self = this;
			BMCW.closeWebview(BMCW.routeCfg.transfersuccess.id, "none");
			document.getElementById("p_errmessage").innerHTML = '您的支付未成功，错误编号：' + self.Param.code;

		}
	});

	//实例化类
	window.page = new BMCW.BasePage();

})(mui, BMCW);