(function($, BMCW) {
	"use strict";

	BMCW.augment(BMCW.BasePage, {
		/**
		 * 页面路由
		 */
		Route: {
			GetRegTransfer: "/RegTransfer/GetRegTransfer"
		},
		/**
		 * 参数
		 */
		Param: {
			RegTransferID: 0, //主键		
			RegStatus: 0,
			payPrice: 0
		},
		/**
		 * 初始化方法
		 * 页面参数初始化  页面方法初始化  等
		 * @param {Object} options
		 */
		init: function(options) {
			var self = this,
				wb = plus.webview.currentWebview();
			self.Param.RegTransferID = wb.RegTransferID || 0;

			mui.init({
				swipeBack: true //启用右滑关闭功能				
			});
		},
		/**
		 * 事件绑定
		 * @param {Object} options
		 */
		initEvent: function(options) {
			var self = this;

			document.getElementById("btn_sure").addEventListener("tap", function() {
				self.paymentNext.call(self);
			}, false);
		},
		/**
		 * 渲染页面
		 * 通过ajax对页面加载显示
		 * @param {Object} options
		 */
		initView: function(options) {
			var self = this;
			if(self.Param.RegTransferID > 0) {
				self.getRegTransfer();
			}

			BMCW.closeWebview(BMCW.routeCfg.transferinvoice.id, "none");
		},
		/**
		 * 渲染页面
		 * @param {Object} data
		 */
		getRegTransfer: function() {
			var self = this;
			BMCW.Ajax.ajax({
				url: self.Route.GetRegTransfer,
				data: {
					regTransferID: self.Param.RegTransferID
				},
				success: function(rdata) {
					if(rdata.status == 0) {
						if(rdata.data.length > 0) {
							self.renderView(rdata.data[0]);
						}
					} else {
						BMCW.toast(rdata.message);
					}
				}
			});
		},		
		/**
		 * 获取模版
		 */
		renderView: function(item) {
			var self = this;
			//办理人类型，1：个人，2：公司			
			document.getElementById("span_RegTransferID").innerHTML = item.RegCode;
			document.getElementById("span_CreatedDate").innerHTML = BMCW.formatDate(item.CreatedDate, 'yyyy-MM-dd HH:mm');
			document.getElementById("span_BizeTypeName").innerHTML = item.MasterBizTypeName + '-' + item.BizTypeName;
			document.getElementById("span_DealPrice").innerHTML = item.DealPrice;
			document.getElementById("span_CarOfficeName").innerHTML = item.Name;
			document.getElementById("b_DealPrice").innerHTML = item.PayPrice;

			if(item.SellerType == 1) {
				document.getElementById("span_SellerType").innerHTML = "个人";
				document.getElementById("b_SellerType").innerHTML = "卖方姓名：";
			} else {
				document.getElementById("span_SellerType").innerHTML = "公司";
				document.getElementById("b_SellerType").innerHTML = "公司名称：";
			}
			document.getElementById("span_SellerMobile").innerHTML = item.SellerMobile;
			document.getElementById("span_SellerName").innerHTML = item.SellerName;

			if(item.BuyerType == 1) {
				document.getElementById("span_BuyerType").innerHTML = "个人";
				document.getElementById("b_BuyerType").innerHTML = "买方姓名：";
			} else {
				document.getElementById("span_BuyerType").innerHTML = "公司";
				document.getElementById("b_BuyerType").innerHTML = "公司名称：";
			}
			document.getElementById("span_BuyerName").innerHTML = item.BuyerName;
			document.getElementById("span_BuyerMobile").innerHTML = item.BuyerMobile;

			//1：待支付 2：开票中 3：已开票 4：驳回 5：已出票
			switch(item.RegStatus) {
				case 1:
					document.getElementById("btn_sure").style.display = "";
					break;
				case 2:
					document.getElementById("btn_sure").style.display = "none";
					break;
				case 3:
					document.getElementById("btn_sure").style.display = "none";
					break;
				case 4:
					document.getElementById("btn_sure").style.innerHTML = "none";
					break;
				case 5:
					document.getElementById("btn_sure").style.display = "none";
					break;
			}
			self.Param.RegStatus = item.RegStatus;

		},
		/**
		 * 添加卖方信息
		 */
		paymentNext: function() {
			var self = this;
			if(self.Param.RegStatus == 1) {
				BMCW.openWindow(BMCW.routeCfg.payment, {
					extras: {
						RegTransferID: self.Param.RegTransferID,
						payPrice: self.Param.payPrice,
						PayBusiness: 1, //支付业务类型 
						SourcePage: "RegTransfer"
					}
				});
			} 
		}
	});

	//实例化类
	window.page = new BMCW.BasePage();

})(mui, BMCW);